# Enable Python dependency generation
%{?python_enable_dependency_generator}

Name:           buildbot-gitea
Version:        1.7.2
Release:        1%{?dist}

Summary:        Build/test automation system
License:        GPLv2
URL:            https://github.com/lab132/buildbot-gitea
Source0:        %{pypi_source buildbot-gitea}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# For making the build work from source
BuildRequires:  python3dist(setuptools) >= 21.2.1
BuildRequires:  python3dist(twisted) >= 17.9
BuildRequires:  python3dist(zope-interface) >= 4.1.1
BuildRequires:  python3dist(future)
BuildRequires:  python3dist(sqlalchemy) >= 1.2.0
BuildRequires:  python3dist(sqlalchemy-migrate) >= 0.9
BuildRequires:  python3dist(python-dateutil) >= 1.5
BuildRequires:  python3dist(txaio) >= 2.2.2
BuildRequires:  python3dist(autobahn) >= 0.16
BuildRequires:  python3dist(pyjwt)
BuildRequires:  python3dist(pyyaml)

BuildRequires:  python3dist(treq)
BuildRequires:  python3dist(boto3)
BuildRequires:  python3dist(mock) >= 2
BuildRequires:  python3dist(lz4)

# For systemd units
BuildRequires:  systemd-rpm-macros

# Turns former package into a metapackage for installing everything
Requires:       %{name}-master = %{version}-%{release}

%description
The BuildBot is a system to automate the compile/test cycle required by
most software projects to validate code changes. By automatically
rebuilding and testing the tree each time something has changed, build
problems are pinpointed quickly, before other developers are
inconvenienced by the failure.

%files
# Empty because metapackage

%doc README.md
%license LICENSE
%{python3_sitelib}/buildbot_gitea/
%{python3_sitelib}/buildbot_gitea-*egg-info/


%prep
%setup -q -b0

%build
%py3_build


%install
%py3_install

%changelog
* Mon Dec 12 2022 Zoran Peričić <zoran.pericic@infomaas.com> - 3.7.0-1
- 3.7.0
